Subject: bug#19895: closed (Re: bug#19895: 24.4; battery.el does not support /sys/class/power_supply/BATX)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 20 Sep 2019 23:46:01 +0000

Your bug report

#19895: 24.4; battery.el does not support /sys/class/power_supply/BATX

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19895: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19895
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19895: 24.4; battery.el does not support /sys/class/power_supply/BATX
From: Stefan Kangas <[email-masked]>
To: Greg Farough <[email-masked]>
Cc: [email-masked]
Date: Sat, 21 Sep 2019 01:44:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Greg Farough <[email-masked]> writes:

> It seems that battery-linux-sysfs does not support certain laptop
> batteries which are not classified as BAT0, but by BATX instead. I had
> to add this to my .emacs to get display-battery-mode working properly:
>
> (eval-after-load 'battery
>   '(progn
>      (setq battery--linux-sysfs-regexp "[bB][aA][tT][xX]$")
>      (setq battery-status-function 'battery-linux-sysfs
>       battery-echo-area-format "Power %L, battery %B (%p%% charged, remaining time %t)"
>       battery-mode-line-format " [%p%%] ")))
> (display-battery-mode 1)

This has been fixed by the following commit on current master branch,
which makes 'M-x battery' list all batteries no matter what they're
named:

commit 6b38e34a11a85d50fa384b90ed21ea60d6d646d5
Author: Lars Ingebrigtsen <[email-masked]>
Date:   Fri Aug 23 02:40:26 2019 +0200
    Have `M-x battery' list all batteries under GNU/Linux

I'm therefore closing this bug report.  If you could please verify that
the fix works for you and report back, that would be even better.

Best regards,
Stefan Kangas

Subject: 24.4; battery.el does not support /sys/class/power_supply/BATX
From: Greg Farough <[email-masked]>
To: [email-masked]
Date: Wed, 18 Feb 2015 09:53:59 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

It seems that battery-linux-sysfs does not support certain laptop
batteries which are not classified as BAT0, but by BATX instead. I had
to add this to my .emacs to get display-battery-mode working properly:

(eval-after-load 'battery
  '(progn
     (setq battery--linux-sysfs-regexp "[bB][aA][tT][xX]$")
     (setq battery-status-function 'battery-linux-sysfs
      battery-echo-area-format "Power %L, battery %B (%p%% charged, remaining time %t)"
      battery-mode-line-format " [%p%%] ")))
(display-battery-mode 1)

Hope this helps, and thanks for all your hard work.
-g

-- 
Ξυνὸν δέ μοί ἐστιν, ὁππόθεν ἄρξωμαι· τόθι γὰρ πάλιν ἵξομαι αὖθις.